//Ex2_3.cpp
#include"iostream" 
#include"cmath"
#include"iomanip"
using namespace std;
void main() 
{char c1,c2,c3,c4; 
 int x; 
 cin>>x; 
 c4=x>=0?'+':'-';   //x 的符号存入 c4 
 x=abs(x);        // 求整型数 x 的绝对值 
 c3=x%10+48;    //x%10 为个位数字，加48转换为对应字符 
 x=x/10; 
 c2=x%10+48; 
 c1=x/10+48; 
 cout<<"数符 百位数 十位数 个位数"<<endl; 
 cout<<setw(2)<<c4 <<setw(8)<<c1<<setw(8)<<c2<<setw(8)<<c3<<endl; 
}
